@echo off

set DefFloppyDrive1=A:
set DefFloppyDrive1_L=a:
set DefFloppyDrive2=B:
set DefFloppyDrive2_L=b:
set DefFloppyDrive=%1

cls

:CHECK
if "%1"=="%DefFloppyDrive1%" goto FORMAT

if "%1"=="%DefFloppyDrive1_L%" goto FORMAT

if "%1"=="%DefFloppyDrive2%" goto FORMAT

if "%1"=="%DefFloppyDrive2_L%" goto FORMAT
 
:SET_FLOPPY
echo Please specify the drive letter of your floppy drive.
echo Press 1 for %DefFloppyDrive1%
echo or
echo Press 2 for %DefFloppyDrive2%
echo.
choice /c:12 Choose an option
if errorlevel 2 goto BDRIVE
if errorlevel 1 goto ADRIVE

:ADRIVE
set DefFloppyDrive=%DefFloppyDrive1%
goto FORMAT

:BDRIVE
set DefFloppyDrive=%DefFloppyDrive2%
goto FORMAT


:FORMAT
echo.
echo This program will work on a Windows 98 default installation.
echo Label a disk "15kHz Startup Disk" and insert it into drive %DefFloppyDrive%
echo Caution: Setup will delete any existing files on this floppy disk.
echo.
pause
format %DefFloppyDrive% /u /v:15kHz /autotest
if not errorlevel 0 goto FORMAT_ERROR

:COPY
echo.
echo Transfering system files...
sys c: %DefFloppyDrive% > NUL
echo Copying files to %DefFloppyDrive% ...
copy c:\windows\Himem.sys %DefFloppyDrive% > NUL
copy c:\windows\Smartdrv.exe %DefFloppyDrive% > NUL
copy c:\windows\command\Sys.com %DefFloppyDrive% > NUL
copy c:\windows\command\Fdisk.exe %DefFloppyDrive% > NUL
copy c:\windows\command\Format.com %DefFloppyDrive% > NUL
copy c:\windows\command\Attrib.exe %DefFloppyDrive% > NUL
copy c:\windows\command\Edit.com %DefFloppyDrive% > NUL
copy c:\windows\command\Deltree.exe %DefFloppyDrive% > NUL
copy c:\windows\command\Diskcopy.com %DefFloppyDrive% > NUL
copy c:\windows\command\Move.exe %DefFloppyDrive% > NUL
copy c:\windows\command\Scandisk.exe %DefFloppyDrive% > NUL
copy c:\windows\command\Scandisk.ini %DefFloppyDrive% > NUL
copy c:\windows\command\Mem.exe %DefFloppyDrive% > NUL
copy c:\windows\command\Fdisk.exe %DefFloppyDrive% > NUL
copy bladetsr.exe %DefFloppyDrive% > NUL
echo bladetsr.exe > %DefFloppyDrive%\autoexec.bat
echo device=Himem.sys > %DefFloppyDrive%\config.sys
echo dos=high,umb > %DefFloppyDrive%\config.sys
echo.
echo.
echo Startup disk is ready.
echo.
goto END

:FORMAT_ERROR
echo.
echo There was a error formatting the specified drive.
echo Press Y to retry or N to cancel
choice /c:yn
if errorlevel 2 goto FORMAT_CANCEL
if errorlevel 1 goto FORMAT
:FORMAT_CANCEL
echo .
echo Exiting
goto END

:END
set DefFloppyDrive=
set DefFloppyDrive1=
set DefFloppyDrive1_L=
set DefFloppyDrive2=
set DefFloppyDrive2_L=
